{% extends 'base.html.twig' %}

{% block title %}Evenements index
{% endblock %}

{% block body %}


	<!-- Page Content-->
	<div class="container px-4 px-lg-5">

		<div class="row gx-4 gx-lg-5">
            <!-- Heading Row-->
					<div class="row gx-4 gx-lg-5 align-items-center my-5">
						<div class="col-lg-7"><img class="img-fluid rounded mb-4 mb-lg-0" src="https://toulouseatable.org/wp-content/uploads/2021/01/Grands-evenements.jpg" alt="Photo de la place Capitole"/></div>
						<div class="col-lg-5">
							<h1 class="font-weight-light">Liste des Evenements</h1>
							<p>Bonjour et bienvenue sur notre site d'événement social ! Nous sommes ravis de vous accueillir parmi nous et espérons que vous y trouverez toutes les informations et fonctionnalités dont vous avez besoin pour organiser vos événements sociaux. Notre objectif est de rendre votre expérience la plus agréable et facile possible, en mettant à votre disposition une plateforme intuitive et conviviale.</p>
                            <a class="btn btn-primary" href="{{ path('app_evenements_new') }}">Ajouter un evenement</a>
						</div>
					</div>
					<!-- Call to Action-->
					<div class="card text-white bg-secondary my-5 py-4 text-center">
						<div class="card-body">
							<p class="text-white m-0">Renforcer les liens sociaux est essentiel pour créer une communauté plus unie et solidaire, où chacun se sent à sa place et soutenu. Alors, engageons-nous ensemble à cultiver ces liens précieux qui nous unissent et à créer un monde plus harmonieux et épanouissant pour tous !</p>
						</div>
					</div>
					<!-- Content Row-->

			{% for evenement in evenements %}

					
				<div class="col-md-4 mb-5">
					<div class="card h-100">
						<div class="card-body">
							<h2 class="card-title">{{ evenement.nom }}</h2>
							<p class="card-text">{{ evenement.description }}</p>
						</div>
						<div class="card-footer">
							<a class="btn btn-primary btn-sm" href="{{ path('app_participant_new', {'id': evenement.id}) }}">Participer</a>
							<a class="btn btn-info btn-sm" href="{{ path('app_evenements_edit', {'id': evenement.id}) }}">edit</a>
							<a class="btn btn-info btn-sm" href="{{ path('app_evenements_show', {'id': evenement.id}) }}">Voir</a>
							<p>{{ evenement.date ? evenement.date|date('Y-m-d') : '' }}</p>
						</div>
					</div>
				</div>
				{% else %}
				<h1 class="pb-5">Aucun Evenement pour l'instant</h1>
			{% endfor %}


		</div>
	</div>
{% endblock %}
